Package org.apache.ignite.internal.management.encryption

## Class ChangeMasterKeyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<EncryptionChangeMasterKeyCommandArg,​String>
    - - org.apache.ignite.internal.management.encryption.ChangeMasterKeyTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<EncryptionChangeMasterKeyCommandArg>,​VisorTaskResult<String>>`

    @GridInternal
    public class ChangeMasterKeyTask
    extends VisorOneNodeTask<EncryptionChangeMasterKeyCommandArg,​String>

The task for changing the master key.

See Also:
  `IgniteEncryption.changeMasterKey(String)`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ChangeMasterKeyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<EncryptionChangeMasterKeyCommandArg,​String>` `job​(EncryptionChangeMasterKeyCommandArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeMasterKeyTask

    public ChangeMasterKeyTask()

### Method Detail

#### job

    protected VisorJob<EncryptionChangeMasterKeyCommandArg,​String> job​(EncryptionChangeMasterKeyCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<EncryptionChangeMasterKeyCommandArg,​String,​String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.